Update a driver
curl --request PATCH \
--url https://api.lynkwell.com/identity/v1/drivers/{driverId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": {
"first": "<string>",
"last": "<string>"
},
"preferredLocale": "<string>",
"contactDetails": {
"email": "<string>",
"phone": "<string>"
}
}
'import requests
url = "https://api.lynkwell.com/identity/v1/drivers/{driverId}"
payload = {
"name": {
"first": "<string>",
"last": "<string>"
},
"preferredLocale": "<string>",
"contactDetails": {
"email": "<string>",
"phone": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: {first: '<string>', last: '<string>'},
preferredLocale: '<string>',
contactDetails: {email: '<string>', phone: '<string>'}
})
};
fetch('https://api.lynkwell.com/identity/v1/drivers/{driverId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": {
"first": "<string>",
"last": "<string>"
},
"preferredLocale": "<string>",
"physicalAddress": {
"streetNumber": "<string>",
"streetName": "<string>",
"city": "<string>",
"state": "AL",
"postalCode": "<string>",
"countryCode": "US",
"streetDetails": "<string>"
},
"contactDetails": {
"email": "<string>",
"phone": "<string>"
}
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"type": "UNAUTHORIZED",
"code": "UNAUTHORIZED",
"message": "<string>"
}{
"message": "<string>"
}{
"type": "NOT_FOUND",
"code": "TOKEN_NOT_FOUND",
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Driver
Update a driver
This endpoint updates an existing driver by its ID.
This action is not enabled by default. You must request additional permissions to perform this action.
PATCH
/
identity
/
v1
/
drivers
/
{driverId}
Update a driver
Authorizations
OAuth2 Client Credentials Flow
Path Parameters
Body
application/json
The driver object to update.
The name of the driver
Show child attributes
Show child attributes
A string that is a valid Unicode BCP 47 Locale Identifier.
For example: "fa", "es-MX", "zh-Hant-TW".
Physical address details
Show child attributes
Show child attributes
At least one of "email" or "phone" is required.
Show child attributes
Show child attributes
Response
The updated driver object.
Show child attributes
Show child attributes